// sass-lint:disable leading-zero, variable-name-fromat
// sass-lint:disable variable-name-fromat

$series-color: #e74c3c;
$biosample-color: #e67e22;
$assay-color: #40c057;
$appliedAssay-color: #27ae60;
$sequencing-color: #1098ad;
$data-color: #0b7285;
$cell_border-color: #CDCDCD;
$section-color: lighten(#f6f6f6,1%);
$subgrid-color: #fdfdfd;
$cell_border-color_inactive: #cdcdcd;
$bar-color: #EDEDED;
$select_stroke-color: #5897fb;
$select_fill-color: transparentize($select_stroke-color,0.7);

$primary-color: $appliedAssay-color;

$navbar-color: $primary-color;

$cell-width: 18.05em;



.box-shadow {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.lighter-box-shadow  {
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.14), 0 2px 4px rgba(0, 0, 0, 0.24);
}
.light-box-shadow  {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}
.header-shadow {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 -3px -6px rgba(0, 0, 0, 0.16);
}

@mixin btn ($color1, $color2) {
  color: white;
  font-size: 13pt;
  margin-bottom: 0;
  margin-left: 0;
  border-radius: 0;
  border-bottom-left-radius: 3pt;
  border-bottom-right-radius: 3pt;
  float: right;
  background-color: $color1;
  @extend .box-shadow;
  &:focus {
    color: white;
    background-color: $color2;
    box-shadow: 0;
  }
  &:hover {
    color: white;
    @extend .lighter-box-shadow;
  }
  &:active {
    color: $color2;
    background-color: $color2;
    box-shadow: 0;
  }
}

.glyphicon-refresh-animate {
    -animation: spin 2.5s infinite linear;
    -webkit-animation: spin2 2.5s infinite linear;
}

@-webkit-keyframes spin2 {
    from { -webkit-transform: rotate(0deg);}
    to { -webkit-transform: rotate(359deg);}
}

@keyframes spin {
    from { transform: scale(1) rotate(0deg);}
    to { transform: scale(1) rotate(359deg);}
}

